---
title: "Release v0.27.0"
linkTitle: "Release v0.27.0"
date: 2022-03-18
description: >
 Release v0.27.0
---

## Changelog since v0.26.0

### Precondition
From this version of the control plane, it requires Piped agent with a version greater than or equal to `v0.26.0`. 

### Notable Changes
* Fix bug that the specified kubeConfigPath in Piped config was not used while handling manifests ([#3410](https://github.com/pipe-cd/pipecd/pull/3410))
* Be able to show artifact versions with links ([#3382](https://github.com/pipe-cd/pipecd/pull/3382))
* Show control-plane running version and documentation link on the web console ([#3328](https://github.com/pipe-cd/pipecd/pull/3328))
* Improve false positives when using Secret with stringData in Kubernetes App ([#3299](https://github.com/pipe-cd/pipecd/pull/3299))
* Fix a bug that previous plan-preview comments are not hidden if a customized bot name was used ([#3327](https://github.com/pipe-cd/pipecd/pull/3327))
* Allow filtering suggested applications by using a new appSelector field in Piped config ([#3320](https://github.com/pipe-cd/pipecd/pull/3320))
* Ability to view the live state of Cloud Run application ([#3301](https://github.com/pipe-cd/pipecd/pull/3301))

### Internal Changes
* Be able to show artifact versions for lambda deployment ([#3390](https://github.com/pipe-cd/pipecd/pull/3390))
* Move menu to be lower to avoid overlapping the tab bar. ([#3332](https://github.com/pipe-cd/pipecd/pull/3332))
* Implement live state reporter for Cloud Run ([#3284](https://github.com/pipe-cd/pipecd/pull/3284))
* Delete unneeded CODEOWNERS file ([#3416](https://github.com/pipe-cd/pipecd/pull/3416))
* Use the latest codegen ([#3414](https://github.com/pipe-cd/pipecd/pull/3414))
* Fix codegen script ([#3413](https://github.com/pipe-cd/pipecd/pull/3413))
* Add CODEOWNERS for manfiests repository ([#3412](https://github.com/pipe-cd/pipecd/pull/3412))
* Fix a typo ([#3411](https://github.com/pipe-cd/pipecd/pull/3411))
* Refactor kubernetes provider by separating Loader and Applier ([#3407](https://github.com/pipe-cd/pipecd/pull/3407))
* Change insight proto definition ([#3403](https://github.com/pipe-cd/pipecd/pull/3403))
* Simplify config by merge CloudProviderType with ApplicationKind ([#3402](https://github.com/pipe-cd/pipecd/pull/3402))
* Fix the name of CI jobs ([#3404](https://github.com/pipe-cd/pipecd/pull/3404))
* Define RBAC resource model ([#3392](https://github.com/pipe-cd/pipecd/pull/3392))
* Update contributor list ([#3397](https://github.com/pipe-cd/pipecd/pull/3397))
* Update contributor list ([#3396](https://github.com/pipe-cd/pipecd/pull/3396))
* Remarshal manifest to decrease false-positive ([#3370](https://github.com/pipe-cd/pipecd/pull/3370))
* Add filedb filter logic ([#3389](https://github.com/pipe-cd/pipecd/pull/3389))
* Add index to CompletedAt ([#3388](https://github.com/pipe-cd/pipecd/pull/3388))
* Run tests in parallel for pkg/app/piped ([#3383](https://github.com/pipe-cd/pipecd/pull/3383))
* Add id to condition ([#3387](https://github.com/pipe-cd/pipecd/pull/3387))
* Output artifact versions for ecs deployment ([#3385](https://github.com/pipe-cd/pipecd/pull/3385))
* Update commands related to web development in docs ([#3381](https://github.com/pipe-cd/pipecd/pull/3381))
* Move frontend code to the root directory ([#3376](https://github.com/pipe-cd/pipecd/pull/3376))
* Determine artifact version for Cloud Run ([#3368](https://github.com/pipe-cd/pipecd/pull/3368))
* Add build and test jobs for both backend and frontend ([#3374](https://github.com/pipe-cd/pipecd/pull/3374))
* Add missing context for docker build ([#3372](https://github.com/pipe-cd/pipecd/pull/3372))
* Start publishing all component images to GHC ([#3371](https://github.com/pipe-cd/pipecd/pull/3371))
* Fix wrong GitHub actions configuration ([#3369](https://github.com/pipe-cd/pipecd/pull/3369))
* Add experimental GitHub actions for CI jobs ([#3367](https://github.com/pipe-cd/pipecd/pull/3367))
* Add launcher_version to Piped metrics ([#3365](https://github.com/pipe-cd/pipecd/pull/3365))
* Update protoc-gen-validate to v0.6.6 ([#3366](https://github.com/pipe-cd/pipecd/pull/3366))
* Implement update interface for filedb ([#3364](https://github.com/pipe-cd/pipecd/pull/3364))
* Move launcher config to config package ([#3362](https://github.com/pipe-cd/pipecd/pull/3362))
* Fix bug that Launcher could not load the new format of Piped config ([#3361](https://github.com/pipe-cd/pipecd/pull/3361))
* Remove unused commands, scripts ([#3360](https://github.com/pipe-cd/pipecd/pull/3360))
* Switch to use code generated by codegen's protoc ([#3355](https://github.com/pipe-cd/pipecd/pull/3355))
* Use Go embed for static texts ([#3359](https://github.com/pipe-cd/pipecd/pull/3359))
* Use codegen to generate Go mock files ([#3356](https://github.com/pipe-cd/pipecd/pull/3356))
* Fix flaky tests ([#3357](https://github.com/pipe-cd/pipecd/pull/3357))
* Refresh generated code ([#3353](https://github.com/pipe-cd/pipecd/pull/3353))
* Update dependencies in codegen to latests ([#3352](https://github.com/pipe-cd/pipecd/pull/3352))
* Upgrade grpc-go and protobuf to latest versions ([#3351](https://github.com/pipe-cd/pipecd/pull/3351))
* Add ArtifactVersion to KubernetesApp Deployment ([#3340](https://github.com/pipe-cd/pipecd/pull/3340))
* Add an action to validate generated code ([#3348](https://github.com/pipe-cd/pipecd/pull/3348))
* Store generated code in Git ([#3342](https://github.com/pipe-cd/pipecd/pull/3342))
* Add a new docker image used to generate code ([#3341](https://github.com/pipe-cd/pipecd/pull/3341))
* Remove storybook from web code ([#3339](https://github.com/pipe-cd/pipecd/pull/3339))
* Implement list interface for filedb ([#3329](https://github.com/pipe-cd/pipecd/pull/3329))
* Change version in web copyable ([#3337](https://github.com/pipe-cd/pipecd/pull/3337))
* Run missing make gazelle ([#3336](https://github.com/pipe-cd/pipecd/pull/3336))
* Add etag to the object attribute struct ([#3335](https://github.com/pipe-cd/pipecd/pull/3335))
* Make link to docs icon clickable ([#3333](https://github.com/pipe-cd/pipecd/pull/3333))
* Run missing gazelle update ([#3330](https://github.com/pipe-cd/pipecd/pull/3330))
* Remove redis from api dependencies ([#3326](https://github.com/pipe-cd/pipecd/pull/3326))
* Remove environment model ([#3324](https://github.com/pipe-cd/pipecd/pull/3324))
* Implement create interface for filedb database ([#3322](https://github.com/pipe-cd/pipecd/pull/3322))
* Add description to the examples ([#3321](https://github.com/pipe-cd/pipecd/pull/3321))
* Add ContainLabels method for ApplicationInfo ([#3319](https://github.com/pipe-cd/pipecd/pull/3319))
* Add appSelector field for piped ([#3318](https://github.com/pipe-cd/pipecd/pull/3318))
* Add merge shards data for multiple shards stored object ([#3316](https://github.com/pipe-cd/pipecd/pull/3316))
* Define unregistered app cache ([#3313](https://github.com/pipe-cd/pipecd/pull/3313))
* change the port number of the local registry for macOS Montray ([#3315](https://github.com/pipe-cd/pipecd/pull/3315))
* Update feature status docs for Cloud Run ([#3311](https://github.com/pipe-cd/pipecd/pull/3311))
* Remove unused envCache ([#3309](https://github.com/pipe-cd/pipecd/pull/3309))
* Add proto message for better running version of applicaion ([#3307](https://github.com/pipe-cd/pipecd/pull/3307))
* Rename the title of Running Version column to Artifact Versions ([#3308](https://github.com/pipe-cd/pipecd/pull/3308))
* Fix func name ([#3306](https://github.com/pipe-cd/pipecd/pull/3306))
* Upgrade rules_go to v0.30.0 and go to 1.1.7.6 ([#3305](https://github.com/pipe-cd/pipecd/pull/3305))
* Remove gRPC related to env from auth ([#3304](https://github.com/pipe-cd/pipecd/pull/3304))
* Remove Environment related APIs ([#3300](https://github.com/pipe-cd/pipecd/pull/3300))
* Remove env related unused code from web ([#3302](https://github.com/pipe-cd/pipecd/pull/3302))
* Implement get interface for FileDB ([#3286](https://github.com/pipe-cd/pipecd/pull/3286))
* Fix typo ([#3298](https://github.com/pipe-cd/pipecd/pull/3298))
* Update actions-plan-preview to use pipectl v0.26.0 ([#3297](https://github.com/pipe-cd/pipecd/pull/3297))
