---
title: "Release v0.9.14"
linkTitle: "Release v0.9.14"
date: 2021-05-12
description: >
  Release v0.9.14
---

## Changelog since v0.9.11

### Notable Changes

* Make it possible to delete piped keys from the web ([#1955](https://github.com/pipe-cd/pipecd/pull/1955))
* Ensure that each piped contains a maximum of 2 keys ([#1949](https://github.com/pipe-cd/pipecd/pull/1949))
* Enable drift detector to compare number and numeric string ([#1875](https://github.com/pipe-cd/pipecd/pull/1875))
* Add copy buttons for generated settings values ([#1924](https://github.com/pipe-cd/pipecd/pull/1924))
* Change to reset the page when the filter is changed ([#1916](https://github.com/pipe-cd/pipecd/pull/1916))
* Add cursor to pipectl list applications command ([#1917](https://github.com/pipe-cd/pipecd/pull/1917))
* Support pagination with cursor for ListApplications api ([#1892](https://github.com/pipe-cd/pipecd/pull/1892))
* Ensure to do ADA config validation after templating ([#1904](https://github.com/pipe-cd/pipecd/pull/1904))
* Fix drop-down button for the application sync ([#1889](https://github.com/pipe-cd/pipecd/pull/1889))
* Enable to specify UID that Piped runs as ([#1877](https://github.com/pipe-cd/pipecd/pull/1877))
* Change application description position ([#1878](https://github.com/pipe-cd/pipecd/pull/1878))
* Fix styling for the application list when window width is small ([#1865](https://github.com/pipe-cd/pipecd/pull/1865))
* Fix not showing login page if user not logged in ([#1862](https://github.com/pipe-cd/pipecd/pull/1862))
* Show application description on the application detail ([#1855](https://github.com/pipe-cd/pipecd/pull/1855))

### Internal Changes

* Update datastore migration guide ([#1947](https://github.com/pipe-cd/pipecd/pull/1947))
* Ensure that piped must have at least one key while validating the given key ([#1945](https://github.com/pipe-cd/pipecd/pull/1945))
* Add a new web API to delete old Piped keys ([#1943](https://github.com/pipe-cd/pipecd/pull/1943))
* Ensure to redact all key hashes in piped model ([#1942](https://github.com/pipe-cd/pipecd/pull/1942))
* Loosen log severity of event store ([#1941](https://github.com/pipe-cd/pipecd/pull/1941))
* Add cursor to ListNotCompletedDeployments endpoint of piped api ([#1936](https://github.com/pipe-cd/pipecd/pull/1936))
* Stop publishing images with tagged by commit ID ([#1933](https://github.com/pipe-cd/pipecd/pull/1933))
* Fix unable to delete Application in case of using MySQL datastore ([#1932](https://github.com/pipe-cd/pipecd/pull/1932))
* Fix bundling web resources ([#1931](https://github.com/pipe-cd/pipecd/pull/1931))
* Add cursor to ListDeployments interface ([#1929](https://github.com/pipe-cd/pipecd/pull/1929))
* Fix incorrect query arguments error on Find query ([#1926](https://github.com/pipe-cd/pipecd/pull/1926))
* Add cursor to web api ListDeployments ([#1923](https://github.com/pipe-cd/pipecd/pull/1923))
* Update webpack version ([#1922](https://github.com/pipe-cd/pipecd/pull/1922))
* Update installation instruction for single machine ([#1921](https://github.com/pipe-cd/pipecd/pull/1921))
* Fix unable to disable entities in case of using MySQL store ([#1920](https://github.com/pipe-cd/pipecd/pull/1920))
* Update ListApplication api description ([#1919](https://github.com/pipe-cd/pipecd/pull/1919))
* Destructure array values passed to startAfter function ([#1918](https://github.com/pipe-cd/pipecd/pull/1918))
* Ensure Id field is indexed in Deployment model ([#1915](https://github.com/pipe-cd/pipecd/pull/1915))
* Add required index for Event model ([#1914](https://github.com/pipe-cd/pipecd/pull/1914))
* Bump Bazel to 4.0.0 ([#1912](https://github.com/pipe-cd/pipecd/pull/1912))
* Ensure Id field be indexed for Application model ([#1911](https://github.com/pipe-cd/pipecd/pull/1911))
* Ensure id field be indexed for Event model ([#1910](https://github.com/pipe-cd/pipecd/pull/1910))
* Remove redundant firestore indexes ([#1907](https://github.com/pipe-cd/pipecd/pull/1907))
* Ensure unchange the fields order of firestore indexes ([#1909](https://github.com/pipe-cd/pipecd/pull/1909))
* Ensure that id field of event model should be indexed ([#1908](https://github.com/pipe-cd/pipecd/pull/1908))
* Ensure that id field of application and deployment models should be indexed ([#1906](https://github.com/pipe-cd/pipecd/pull/1906))
* Honor $HOME so that any user can write things in a unified way ([#1899](https://github.com/pipe-cd/pipecd/pull/1899))
* Update piped-base so that piped group can write to /piped/home ([#1890](https://github.com/pipe-cd/pipecd/pull/1890))
* Reimplement pagination query for MySQL datastore ([#1898](https://github.com/pipe-cd/pipecd/pull/1898))
* Add guide about loading piped image ([#1897](https://github.com/pipe-cd/pipecd/pull/1897))
* Add a test for application description ([#1888](https://github.com/pipe-cd/pipecd/pull/1888))
* Add ability to build local development environment ([#1886](https://github.com/pipe-cd/pipecd/pull/1886))
* Make firestore iterator DataConverter interface private ([#1883](https://github.com/pipe-cd/pipecd/pull/1883))
* Reimplement pagination with cursor for MySQL ([#1873](https://github.com/pipe-cd/pipecd/pull/1873))
* Upgrade piped-base to 0.2.1 ([#1881](https://github.com/pipe-cd/pipecd/pull/1881))
* Grant write permission of ssh config to all users ([#1880](https://github.com/pipe-cd/pipecd/pull/1880))
* Update piped-base to not depend on /home/pipecd ([#1871](https://github.com/pipe-cd/pipecd/pull/1871))
* Remove lock file for dependencies of pipecd chart ([#1876](https://github.com/pipe-cd/pipecd/pull/1876))
* Add test size small to avoid warning ([#1869](https://github.com/pipe-cd/pipecd/pull/1869))
* Reimplement pagination for firestore using cursor ([#1864](https://github.com/pipe-cd/pipecd/pull/1864))
* Add grafana sub-chart to pipecd ([#1866](https://github.com/pipe-cd/pipecd/pull/1866))
* Define default values of prometheus chart ([#1854](https://github.com/pipe-cd/pipecd/pull/1854))
* Rename PageSize to Limit ([#1861](https://github.com/pipe-cd/pipecd/pull/1861))
* Remove page from datastore ListOptions ([#1857](https://github.com/pipe-cd/pipecd/pull/1857))
* Ensure that chart-releaser reconstructs chart's dependencies ([#1853](https://github.com/pipe-cd/pipecd/pull/1853))
* Add an authorization for UpdateApplicationDescription ([#1856](https://github.com/pipe-cd/pipecd/pull/1856))
* Enable to install prometheus chart as a dependency ([#1850](https://github.com/pipe-cd/pipecd/pull/1850))
* Add application description component ([#1851](https://github.com/pipe-cd/pipecd/pull/1851))
* Remove unnecessary defined MigratableModel list ([#1849](https://github.com/pipe-cd/pipecd/pull/1849))
